%esercizio1 (Prof. Carla Braitenberg)

%conduttivita' termica per stratigrafia
% 5 strati

clear all
kw=0.6;% %W/mK  CONDUCTIVITY water
%strato1 sand
d(1,1)=0; d(1,2)=1.300;% depth
phi(1)=0.35; % porosity 
km(1)=1.79; %W/mK  CONDUCTIVITY matrix
% strato 2 Siltstone
d(2,1)=1.3; d(2,2)=3.500;% depth
phi(2)=0.30; % porosity 
km(2)=1.58; %W/mK  CONDUCTIVITY matrix
b(2)=0.379; % decay factor porosity km^-1
% strato 3 Clay
d(3,1)=3.5; d(3,2)=4.800;% depth
phi(3)=0.25; % porosity 

km(3)=1.88; %W/mK  CONDUCTIVITY matrix
b(3)=0.293; % decay factor porosity km^-1
% strato 4 Marl
d(4,1)=4.8; d(4,2)=7.2;% depth
phi(4)=0.15; % porosity 
km(4)=1.68; %W/mK  CONDUCTIVITY matrix
b(4)=0.298; % decay factor porosity km^-1
% strato 5 Limestone 
d(5,1)=7.2; d(5,2)=10.;% depth
phi(5)=0.40; % porosity 
km(5)=2.37; %W/mK  CONDUCTIVITY matrix
b(5)=0.396; % decay factor porosity km^-1
figure
hold on
for i=1:5
z(i,:)=linspace(d(i,1),d(i,2),10);
zstrato=z(i,:);
phiz=phi(i)*exp(-b(i).*zstrato); % porosita' in funzione depth
k=km(i).^(1-phiz).*kw.^phiz;
kmedio(i)=mean(k);
plot(z(i,:),k)
xlabel('z (km)'); ylabel('k (W/mK)');
end

% Conduttivita' termica media come media armonic
perc=(d(:,2)/10);
prod=(1./kmedio').*perc
kmed=sum(prod)
title(['conductivity sand-siltstone-clay-marl-Limestone. kmed= ' num2str(kmed)])



